Bug Hunting Session
Bug 35322 - the fontlist is showing fonts in all languages for which they have a name
Summary: the fontlist is showing fonts in all languages for which they have a name
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:3.7.0
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-15 01:56 UTC by martin_hosken
Modified: 2012-07-14 12:59 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
this is the patch I'd like to shove in that I think fixes this (2.07 KB, patch)
2011-03-15 01:57 UTC, Caolán McNamara
Details

Note You need to log in before you can comment on or make changes to this bug.
Description martin_hosken 2011-03-15 01:56:56 UTC
In the fontlist, fonts are showing up with their names in all languages for which they have a name in their name table for fontname. Not sure if this is a bug or a feature!
Comment 1 Caolán McNamara 2011-03-15 01:57:57 UTC
Created attachment 44469 [details]
this is the patch I'd like to shove in that I think fixes this
Comment 2 Caolán McNamara 2011-03-16 09:29:00 UTC
you mentioned on irc that this patch didn't seem to work for some Burmese font ? Have you a link to that font ?
Comment 3 martin_hosken 2012-05-08 08:00:10 UTC
http://scrips.sil.org/padauk download padauk 2.8
Comment 4 Not Assigned 2012-07-14 12:59:40 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c375cd09d8c901b161176d0bb8f3cb6a2df1dc17

Resolves: fdo#35322 add a font only once under one of its names